namespace Tiobon.Core.Services;

/// <summary>
/// 面试评估设定 (服务)
/// </summary>
public class Ghrh_AssessConfigServices : BaseServices<Ghrh_AssessConfig, Ghrh_AssessConfigDto, InsertGhrh_AssessConfigInput, EditGhrh_AssessConfigInput>, IGhrh_AssessConfigServices
{
    private readonly IBaseRepository<Ghrh_AssessConfig> _dal;
    public Ghrh_AssessConfigServices(ICaching caching, IBaseRepository<Ghrh_AssessConfig> dal)
    {
        this._dal = dal;
        base.BaseDal = dal;
        base._caching = caching;
    }

    public override async Task<ServicePageResult<Ghrh_AssessConfigDto>> QueryFilterPage(QueryBody filter, string condition, bool? IsEnable = true)
    {
        var result = await base.QueryFilterPage(filter, condition, IsEnable);
        var list = result.result.DT_TableDataT1;

        list.ForEach(async x =>
        { 
            x.ItemClassLabel = await GetParaLabel("ResumeAssessItemClass", x.ItemClass);
        });
        return result;
    }
}